Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query
Class NotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.query.QueryException
                          com.dbxml.db.core.query.NotSupportedException

All Implemented Interfaces:
  java.io.Serializable

public final class NotSupportedException
extends QueryException

A NotSupportedException is thrown by a Query if the QueryEngine doesn't support a specified operation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`NotSupportedException()`
`NotSupportedException(java.lang.String message)`
`NotSupportedException(java.lang.String message, java.lang.Throwable wrapped)`
`NotSupportedException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotSupportedException

    public NotSupportedException()

### NotSupportedException

    public NotSupportedException(java.lang.Throwable wrapped)

### NotSupportedException

    public NotSupportedException(java.lang.String message)

### NotSupportedException

    public NotSupportedException(java.lang.String message,
                                 java.lang.Throwable wrapped)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group